Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class DataSourceExpression

- org.apache.groovy.ginq.dsl.expression.DataSourceExpression

- All Implemented Interfaces and Traits:
    DataSourceHolder

      public abstract class DataSourceExpression
      extends AbstractGinqExpression
      implements DataSourceHolder

  Represents data source expression

  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Expression` | `aliasExpr` | Alias expression bound to the data source.
    `protected Expression` | `dataSourceExpr` | Expression yielding the data source.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)` Creates a data-source expression.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getAliasExpr()` Returns the alias expression.
    `` | `public Expression` | `getDataSourceExpr()` Returns the data-source expression.
    `` | `public void` | `setDataSourceExpr(Expression dataSourceExpr)` Replaces the data-source expression.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### protected final Expression aliasExpr

      Alias expression bound to the data source.

    - #### protected Expression dataSourceExpr

      Expression yielding the data source.

  - ### Constructor Detail

    - #### public DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)

      Creates a data-source expression.

      Parameters:
        `aliasExpr` - the alias expression
        `dataSourceExpr` - the source expression

  - ### Method Detail

    - #### public Expression getAliasExpr()

      Returns the alias expression.

      Returns:
        the alias expression

    - #### public Expression getDataSourceExpr()

      Returns the data-source expression.

      Returns:
        the data-source expression

    - #### public void setDataSourceExpr(Expression dataSourceExpr)

      Replaces the data-source expression.

      Parameters:
        `dataSourceExpr` - the new data-source expression